Page MenuHomePhabricator

External link icons are not displayed for RTL in Monobook
Closed, ResolvedPublic

Description

Author: sia

Description:
hi,
if I use other language instead of English, for example using Kurdish (Sorani) or Arabic with RTL direction. The images in default skin (Monobook) are not displayed.
I've tried the following code.

[http://mediawiki.org MediaWiki]
[mailto:info@example.org email me]

the links worked fine, but don't display the external.png & mail_icon.gif beside the Links.

best regards


Version: 1.13.x
Severity: enhancement
URL: http://wiki.chawg.org

Details

Reference
bz16502

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:25 PM
bzimport set Reference to bz16502.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 30 2008, 1:06 AM
brion added a comment.Nov 30 2008, 1:08 AM
  • This bug has been marked as a duplicate of bug 3956 ***

sia wrote:

please dont add my bug to another thread.
that is not correct.
my bug have nothing to do with bug 3956 , nothing

ayg wrote:

Let's keep bug 3956 restricted to the user icon only, and keep this bug for the external link icons. They seem to be entirely different problems. I can confirm that the external link icons simply don't exist on RTL: e.g., look at

http://he.wikipedia.org/wiki/User:Simetrical/bug_16502

and note that there are no icons. This should be some straightforward CSS to fix, although it will probably result in code duplication. The culpable code is in skins/monobook/rtl.css:

/* Fix link icons */
.external {
padding: 0 !important;
background: none !important;
}

"Fix" in this case means just get rid of the icons, instead of bothering to get them to display in the opposite direction. To fix this, we'd want to copy over all the link icon code, with padding and background direction changed. We could omit the actual URLs and stuff and just use background-position if we liked, but we'd still have to re-specify the actual padding values, since it's different for different icons.

The only reason I'd hesitate to do this is because they may have been dropped because some browsers choke on them for some reason, due to some kind of RTL-related bug. This would require testing in all major browsers to avoid regressions in appearance for RTL users.

sia wrote:

thanks
i fix it, just remove

<pre>
/* Fix link icons */
.external {
padding: 0 !important;
background: none !important;
}
</pre>

in rtl.css and worked fine.

best regards

ayg wrote:

The bug is not fixed until a fix is checked into Subversion.

  • update component
  • assigning to Rotem, as he is probably able to assess if the fix suggested in comment 4 is proper, and he is able to commit it
  • +patch
brion added a comment.Dec 23 2008, 5:04 PM

They're not shown for RTL due to past browser bugs causing broken display when they were on. It needs to be carefully tested before just slapping it back in.

brion added a comment.Dec 23 2008, 5:05 PM

Is this bug 1061?

(In reply to comment #8)

Is this bug 1061?

Indeed. The problem is for all links with CSS added icons regardless their function.

*** This bug has been marked as a duplicate of bug 1061 ***

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM